> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get EventSubscription by ID

GET https://{tenant_name}.benchling.com/api/v3/event-subscription/{event_subscription_id}

Get a single EventSubscription by ID.

Reference: https://docs.benchling.com/docs/api/benchling-api/event-subscription/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `event_subscription_id` (string, required) — ID of the EventSubscription.

### Query parameters

- `returning` (string, optional) — Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
- `omit` (string, optional) — Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

### Headers

- `EARLY-ACCESS` (string, optional) — Set to true to access beta operations via /api/v3.

## Response

### 200

OK

- `__typename` (string, optional)
- `awsRegion` (string, optional, nullable) — The AWS region of the eventbridge subscription.
- `createdAt` (string, optional, nullable)
- `destinationAddress` (string, optional, nullable) — The AWS ARN of the EventBridge event bus that Benchling will deliver events to.
- `destinationMetadata` (map from string to any, optional, nullable) — Semi-structured metadata used for routing events.
- `destinationType` (enum, optional, nullable)
  - Allowed values: `EVENTBRIDGE`
- `eventBusName` (string, optional, nullable) — The name of the event bus of the eventbridge subscription .
- `expiresAt` (string, optional, nullable) — The time after which the event subscription expires and will be paused.
- `id` (string, optional)
- `modifiedAt` (string, optional, nullable)
- `paused` (boolean, optional, nullable) — Indicates whether the event subscription is paused. Paused event subscriptions will not emit events to the configured destination.

## Errors

### 400 Event Subscription Get Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Event Subscription Get Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Event Subscription Get Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Event Subscription Get Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)
- `violated-policies` (list of enum, optional) — The budget policies that rejected the request, in canonical order: `user`, `integration`, then `tenant`.
  - Allowed values: `user`, `integration`, `tenant`

### 500 Event Subscription Get Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

## Examples

**Response**

```json
{
  "__typename": "__typename",
  "awsRegion": "awsRegion",
  "createdAt": "createdAt",
  "destinationAddress": "destinationAddress",
  "destinationMetadata": {
    "key": "value"
  },
  "destinationType": "EVENTBRIDGE",
  "eventBusName": "eventBusName",
  "expiresAt": "expiresAt",
  "id": "id",
  "modifiedAt": "modifiedAt",
  "paused": true
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/event-subscription/event_subscription_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/event-subscription/event_subscription_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```